<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:g="http://www.ihe.net/gazelle"
                template="/layout/template.xhtml">

    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['gazelle.simu.ValueSetsConfiguration']}</h1>
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.simu.ValueSets']}</ui:define>
                    <span class="help-block">
					<h:outputText
                            value="#{messages['gazelle.simu.BelowIfTheListOfValueSetsWhichAreUsedInTheApplic']}"/>
					<br/>
					<h:outputText
                            value="#{messages['gazelle.simu.TheSVSRepositoryCurrentlyUsedIsLocatedAt']} #{applicationConfiguration.getValueOfVariable('svs_repository_url')}"/>
                    </span>
                    <br/>
                    <br/>
                    #{dataTableStateHolder.setAscendingOn('valueSetName')}
                    <rich:dataTable value="#{simulatorValueSetManager.getValueSets()}" var="vs"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    render="ds" id="vsList">
                        <g:column filterBy="#{'valueSetKeyword'}" filterEvent="onkeyup" sortBy="#{'valueSetKeyword'}"
                                  sortOrder="#{dataTableStateHolder.sortOrders['valueSetKeyword']}"
                                  rendered="#{s:hasRole('admin_role')}">
                            <ui:define name="header">#{messages['gazelle.simu.KeywordusedInTheApplication']})
                            </ui:define>
                            <h:outputText value="#{vs.valueSetKeyword}"/>
                        </g:column>
                        <g:column filterBy="#{'valueSetName'}" filterEvent="onkeyup" sortBy="#{'valueSetName'}"
                                  sortOrder="#{dataTableStateHolder.sortOrders['valueSetName']}">
                            <ui:define name="header">#{messages['gazelle.simu.Name']}</ui:define>
                            <rich:inplaceInput value="#{vs.valueSetName}" showControls="true"
                                               rendered="#{s:hasRole('admin_role')}">
                                <a4j:ajax event="change"
                                          listener="#{simulatorValueSetManager.saveValueSet(vs)}"
                                          render="globalDiv"/>
                            </rich:inplaceInput>
                            <h:outputText value="#{vs.valueSetName}"
                                          rendered="#{not s:hasRole('admin_role')}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.simu.ValueSetID']}</ui:define>
                            <rich:inplaceInput value="#{vs.valueSetOID}" showControls="true"
                                               rendered="#{s:hasRole('admin_role')}">
                                <a4j:ajax event="change"
                                          listener="#{simulatorValueSetManager.saveValueSet(vs)}"
                                          render="globalDiv"/>
                            </rich:inplaceInput>
                            <h:outputText value="#{vs.valueSetOID}"
                                          rendered="#{not s:hasRole('admin_role')}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.simulator.Usage']}</ui:define>
                            <rich:inplaceInput value="#{vs.usage}" showControls="true"
                                               rendered="#{s:hasRole('admin_role')}">
                                <a4j:ajax event="change"
                                          listener="#{simulatorValueSetManager.saveValueSet(vs)}"
                                          render="globalDiv"/>
                            </rich:inplaceInput>
                            <h:outputText value="#{vs.usage}"
                                          rendered="#{not s:hasRole('admin_role')}"/>
                        </g:column>
                        <g:column rendered="#{s:hasRole('admin_role')}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.simulators.LastCheckDate']}</ui:define>
                            <g:date value="#{vs.lastCheck}" rendered="#{vs.lastCheck != null}"/>
                            <h:outputText value="#{messages['net.ihe.gazelle.simulators.NeverChecked']}" rendered="#{vs.lastCheck == null}"/>
                        </g:column>
                        <g:column rendered="#{s:hasRole('admin_role')}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Accessible']}</ui:define>
                            <s:span styleClass="gzl-icon-checked "
                                    rendered="#{vs.accessible}"
                                    title="Value set is available in repository"/>
                            <s:span styleClass="gzl-icon-times " title="Value set cannot be found in repository"
                                    rendered="#{not vs.accessible}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['users.Action']}</ui:define>
                            <h:outputLink value="#{simulatorValueSetManager.valueSetRepositoryUrl}" target="_blank"
                                          title="#{messages['gazelle.simu.DisplayValueSet']}">
                                <f:param name="id" value="#{vs.valueSetOID}"/>
                                <s:span styleClass="gzl-icon-search"/>
                            </h:outputLink>
                            <h:commandLink actionListener="#{simulatorValueSetManager.checkValueSetIsAccessible(vs)}"
                                           title="#{messages['net.ihe.gazelle.simulators.CheckValueSetIsAccessible']}" render="vsList"
                                           rendered="#{s:hasRole('admin_role')}">
                                <s:span styleClass="gzl-icon-refresh"/>
                            </h:commandLink>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="vsList"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.simulators.ResetCache']}"
                                           styleClass="gzl-btn-red"
                                           actionListener="#{simulatorValueSetManager.resetCache()}"
                                           immediate="true" rendered="#{s:hasRole('admin_role')}"/>
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.simulators.CheckAvailability']}"
                                           styleClass="gzl-btn-blue"
                                           actionListener="#{simulatorValueSetManager.checkValueSetsAreAccessible()}"
                                           immediate="true" rendered="#{s:hasRole('admin_role')}"/>
                    </ui:define>
                </ui:decorate>
                <br/>
                <br/>

            </s:div>
        </h:form>
    </ui:define>
</ui:composition>